The Spring Framework

## org.springframework.web.util
Class JavaScriptUtils

    java.lang.Object
      org.springframework.web.util.JavaScriptUtils

    public class JavaScriptUtils

extends Object

Utility class for JavaScript escaping. Escapes based on the JavaScript 1.5 recommendation.

Reference: Core JavaScript 1.5 Guide

Since:
  1.1.1
Author:
  Juergen Hoeller, Rob Harrop

Constructor Summary
`JavaScriptUtils()`

Method Summary
`static String` `javaScriptEscape(String input)` Turn special characters into escaped characters conforming to JavaScript.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaScriptUtils

    public JavaScriptUtils()

Method Detail

### javaScriptEscape

    public static String javaScriptEscape(String input)

  Turn special characters into escaped characters conforming to JavaScript. Handles complete character set defined in HTML 4.01 recommendation.

  Parameters:
    `input` - the input string
  Returns:
    the escaped string

The Spring Framework

Copyright © 2002-2008 The Spring Framework.